// -*- C++ -*-
//
//  This file is part of CBNSIM, the Content-Based Networking
//  Simulation Library.
//
//  Authors: See the file AUTHORS for full details.
//
//  Copyright (C) 2002-2004 University of Colorado
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
//  USA, or send email to serl@cs.colorado.edu.
//
// $Id: NodeRecoverParser.cc,v 1.2 2011-08-30 15:11:26 carzanig Exp $
//
#include "cbnsim/NodeRecoverEvent.h"
#include "cbnsim/NodeRecoverParser.h"
#include "cbnsim/WorkloadParser.h"
#include <siena/ssim.h>

using namespace cbnsim;

WorkloadEvent* NodeRecoverParser :: parse_event( WorkloadParser& parser )
  throw ( parse_exception )
{
    parser.eat( WorkloadParser::ID ); // node_recover
    unsigned int nid = parser.eat_integer();
    ssim::Time ts = parser.eat_double();
    parser.eat( WorkloadParser::SEMICOLON );
    return new NodeRecoverEvent( nid, ts );
}
